'use strict';

var index = require('./index-p7cvUYAE.js');
var styledHost = require('./styled-host-Ch0-dxF-.js');
require('./event-types-YOY5TKUN.js');

const JustifiBillingForm = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    async getValues() {
        var _a, _b;
        return (_b = (_a = this.billingFormRef) === null || _a === void 0 ? void 0 : _a.getValues()) !== null && _b !== void 0 ? _b : {};
    }
    async validate() {
        var _a, _b;
        return (_b = (_a = this.billingFormRef) === null || _a === void 0 ? void 0 : _a.validate()) !== null && _b !== void 0 ? _b : { isValid: false, errors: {} };
    }
    render() {
        return (index.h(styledHost.StyledHost, { key: '40a8a4342204d1679c9b37fb775184131c68248b' }, index.h("billing-form", { key: '65156fc636a2196aa2d189ce5c4d66f755deb3f6', legend: this.legend, hideCardBillingForm: this.hideCardBillingForm, hideBankAccountBillingForm: this.hideBankAccountBillingForm, paymentMethodType: this.paymentMethodType, ref: (el) => (this.billingFormRef = el) })));
    }
};

exports.justifi_billing_form = JustifiBillingForm;
